package com.starbuds.server.service.demo;

import com.starbuds.server.service.demo._rocketmqons.MyMessageConsumer;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * @author gy
 */
@SpringBootApplication
@Slf4j
//@EnableDubbo //application.y有base-packers扫描包配置可以不加@EnableDubbo
public class DemoApplication {

    public static void main(String[] args) {
        System.setProperty("app.name", "0service-demo");
        try {
            System.setProperty("hostname", InetAddress.getLocalHost().getHostName());
        } catch (UnknownHostException e) {
            System.setProperty("hostname", System.getProperty("app.name"));
        }
        SpringApplication.run(DemoApplication.class, args);
        log.info("[0service-demo] started.");

        // 系统启动的时候启动订阅
        new MyMessageConsumer().subscribe();
    }

}
