package com.starbuds.server.service.demo.es.config;

import org.apache.http.HttpHost;
import org.elasticsearch.client.RestClient;
import org.elasticsearch.client.RestHighLevelClient;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * es配置类
 *
 * @author gy
 * @date 2023/9/18
 */
@Configuration
public class EsConfig {

    @Bean
    public RestHighLevelClient client(@Value("${elasticsearch.host}") String host,
                                      @Value("${elasticsearch.port}") int port,
                                      @Value("${elasticsearch.scheme}") String scheme) {
        RestHighLevelClient client = new RestHighLevelClient(
                RestClient.builder(
                        new HttpHost(host, port, scheme)
                )
        );
        return client;
    }
}
