package com.starbuds.server.service.demo.es.entity;

import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;

/**
 * 书籍
 *
 * @author gy
 * @date 2023/9/18
 */
@NoArgsConstructor
@Data
@Document(indexName = "book", type = "_doc", shards = 1, replicas = 0, refreshInterval = "-1")
public class BookEntity {
    /**
     * 书籍id
     */
    @Id
    private Long bookId;

    /**
     * 书籍类型
     */
    @Field(type = FieldType.Integer)
    private Integer bookType;

    /**
     * 书籍名
     */
    @Field(type = FieldType.Keyword)
    private String bookName;

    /**
     * 用户姓名IK分词器
     */
    @Field(type = FieldType.Text)
    private String bookNameIK;

    /**
     * 书籍作者
     */
    @Field(type = FieldType.Keyword)
    private String bookAuthor;

    /**
     * 创建时间
     */
    @Field(type = FieldType.Long)
    private Long createTime;

    /**
     * 更新时间
     */
    @Field(type = FieldType.Long)
    private Long updateTime;

}
